%define major      2
%define libname    %mklibname unistring %{major}
%define develname  %mklibname unistring -d

Summary:        GNU Unicode string library
Name:           libunistring
Version:        0.9.10
Release:        %mkrel 4
License:        LGPLv3+ or GPLv2
Group:          System/Libraries
Url:            http://www.gnu.org/software/libunistring/
Source0:        http://ftp.gnu.org/gnu/libunistring/%{name}-%{version}.tar.xz
Patch1:         libunistring-0.9.4-automake-1.13.patch
BuildRequires:  locales-fr
BuildRequires:  texinfo

%description
This library implements Unicode strings (in three flavours: UTF-8
strings, UTF-16 strings, UTF-32 strings), together with functions for
Unicode charactets (character names, classifications, properties) and
functions for string processing (formatted output, width, word breaks,
line breaks, normalization, case folding, regular expressions).

%package -n     %{libname}
Group:          System/Libraries
Summary:        GNU Unicode string library

%description -n %{libname}
This library implements Unicode strings (in three flavours: UTF-8
strings, UTF-16 strings, UTF-32 strings), together with functions for
Unicode charactets (character names, classifications, properties) and
functions for string processing (formatted output, width, word breaks,
line breaks, normalization, case folding, regular expressions).

%package -n     %{develname}
Group:          Development/C
Summary:        GNU Unicode string library - development files
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
This library implements Unicode strings (in three flavours: UTF-8
strings, UTF-16 strings, UTF-32 strings), together with functions for
Unicode charactets (character names, classifications, properties) and
functions for string processing (formatted output, width, word breaks,
line breaks, normalization, case folding, regular expressions).

%prep
%setup -q
%autopatch -p1

%build
autoreconf -fi
%configure --disable-static
%make_build

%install
%make_install

rm -rf %{buildroot}%{_docdir}/%{name}

find %{buildroot} -name '*.la' -delete

%files -n %{libname}
%doc AUTHORS NEWS README HACKING DEPENDENCIES THANKS ChangeLog
%{_libdir}/libunistring.so.%{major}{,.*}

%files -n %{develname}
%doc doc/*.html
%{_libdir}/libunistring.so
%{_infodir}/libunistring.info*
%{_includedir}/unistring
%{_includedir}/*.h


%changelog
* Wed Aug 19 2020 ovitters <ovitters> 0.9.10-4.mga8
+ Revision: 1616024
- remove install-info scriptlets, rely on filetrigger instead (mga#27107)

* Thu Feb 13 2020 umeabot <umeabot> 0.9.10-3.mga8
+ Revision: 1514552
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.9.10-2.mga7
+ Revision: 1299198
- Mageia 7 Mass Rebuild

* Thu Aug 16 2018 daviddavid <daviddavid> 0.9.10-1.mga7
+ Revision: 1251849
- new version: 0.9.10

* Mon Apr 16 2018 kekepower <kekepower> 0.9.9-1.mga7
+ Revision: 1219494
- Update to version 0.9.9

* Sat Jan 06 2018 daviddavid <daviddavid> 0.9.8-1.mga7
+ Revision: 1190886
- new version: 0.9.8
- do not package static libraries anymore

* Wed Dec 07 2016 luigiwalser <luigiwalser> 0.9.7-1.mga6
+ Revision: 1073043
- 0.9.7
- update license tag

* Thu Dec 24 2015 luigiwalser <luigiwalser> 0.9.6-1.mga6
+ Revision: 914469
- 0.9.6

* Sat Aug 22 2015 tmb <tmb> 0.9.4-5.mga6
+ Revision: 868170
- rebuild with new gcc

* Wed Oct 15 2014 umeabot <umeabot> 0.9.4-4.mga5
+ Revision: 739181
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.9.4-3.mga5
+ Revision: 681828
- Mageia 5 Mass Rebuild

* Thu Sep 04 2014 luigiwalser <luigiwalser> 0.9.4-2.mga5
+ Revision: 671750
- handle doc files correctly to avoid conflicts with old library

* Wed Sep 03 2014 luigiwalser <luigiwalser> 0.9.4-1.mga5
+ Revision: 671681
- 0.9.4
- remove upstreamed patch 0
- rediff patch 1
- library major is now 2

* Fri Oct 18 2013 umeabot <umeabot> 0.9.3-10.mga4
+ Revision: 522173
- Mageia 4 Mass Rebuild

* Mon Feb 11 2013 fwang <fwang> 0.9.3-9.mga3
+ Revision: 397830
- fix build with automake 1.13
- use autoreconf

* Fri Feb 08 2013 fwang <fwang> 0.9.3-8.mga3
+ Revision: 396951
- fix parallel make

* Sat Jan 12 2013 umeabot <umeabot> 0.9.3-7.mga3
+ Revision: 358294
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 22 2012 guillomovitch <guillomovitch> 0.9.3-6.mga3
+ Revision: 333894
- fix documentation location, and documentation directory ownership

* Mon Nov 21 2011 fwang <fwang> 0.9.3-5.mga2
+ Revision: 170366
- drop .la files

* Fri May 06 2011 ahmad <ahmad> 0.9.3-4.mga1
+ Revision: 95273
- Revert the deleting of .la files

* Thu May 05 2011 ahmad <ahmad> 0.9.3-3.mga1
+ Revision: 95207
- Don't ship .la files

* Sat Jan 15 2011 ahmad <ahmad> 0.9.3-2.mga1
+ Revision: 18374
- drop old/unneeded scriptlets
- imported package libunistring


* Sat Jul 10 2010 Götz Waschk <waschk@mandriva.org> 0.9.3-1mdv2011.0
+ Revision: 550288
- update to new version 0.9.3

* Mon Apr 12 2010 Götz Waschk <waschk@mandriva.org> 0.9.1.1-1mdv2010.1
+ Revision: 533662
- update to new version 0.9.1.1

* Mon Jul 27 2009 Götz Waschk <waschk@mandriva.org> 0.9.1-1mdv2010.0
+ Revision: 400508
- import libunistring

